Search Unity

Bug Cannot Access IOS Resolver

Discussion in 'Unity Mediation' started by TheWitcher187, Dec 28, 2023.

  1. TheWitcher187

    TheWitcher187

    Joined:
    Nov 22, 2022
    Posts:
    7
    Dear All,

    I am having trouble to access the mobile dependecies resolver for IOS. Somehow when navigation to Assets/mobile dependencies resolver/ IOS resolver, I see two options; Install CocoaPods and Settings. The thing is I already installed CocoaPods and when I click on Install a pop up appears saying:" IOS Resolver
    CocoaPods installation detected /Users/user/.gem/ruby/2.6.0/bin/pod. I installed CocoaPods via the Editor and saw a warning telling me:

    em install cocoapods -- user-install WARNING: You don't have /Users/user/.gem/ruby /2.6.0/bin in your PATH, gem executables will not run. Successfully installed cocoapods- 1.14.3 | Parsina documentation for cocoapods-1.14.3 Installina ri documentation for cocoapods- 1.14.3 Done installina documentation for cocoapods after 1 seconds geminstallea Downloading CocoaPods Master Repository /Users/user/.gem/ruby/2.6.0/bin/pod setup Setup completed

    So I added the CocoaPods path to my PATH variable with the following commands:

    - echo 'export PATH="$HOME/.gem/ruby/2.6.0/bin:$PATH"' >> ~/.bash_profile
    - source ~/.bash_profile

    Still nothing changed.. Since I don't find anything in the internet (and even Chat gpt wasn't a big help...) here I am asking you guys for some advice.

    I use a Macbook pro 2023 with the M2-chip.